InstantiatedTermPositionVector (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedTermPositionVector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedTermPositionVector

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermFreqVector
          org.apache.lucene.store.instantiated.InstantiatedTermPositionVector

All Implemented Interfaces:
  Serializable, org.apache.lucene.index.TermFreqVector, org.apache.lucene.index.TermPositionVector

    public class InstantiatedTermPositionVector

extends InstantiatedTermFreqVector
implements org.apache.lucene.index.TermPositionVector, Serializable

Extended vector space view of a document in an `InstantiatedIndexReader`.

See Also:
  `TermPositionVector`, Serialized Form

Constructor Summary
`InstantiatedTermPositionVector(InstantiatedDocument document, String field)`

Method Summary
`org.apache.lucene.index.TermVectorOffsetInfo[]` | `getOffsets(int index)`
`int[]` | `getTermPositions(int index)`

Methods inherited from class org.apache.lucene.store.instantiated.InstantiatedTermFreqVector
`getField, getTermDocumentInformations, getTermFrequencies, getTerms, indexesOf, indexOf, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.index.TermFreqVector
`getField, getTermFrequencies, getTerms, indexesOf, indexOf, size`

Constructor Detail

### InstantiatedTermPositionVector

    public InstantiatedTermPositionVector(InstantiatedDocument document,
                                          String field)

Method Detail

### getTermPositions

    public int[] getTermPositions(int index)

  Specified by:
    `getTermPositions` in interface `org.apache.lucene.index.TermPositionVector`

### getOffsets

    public org.apache.lucene.index.TermVectorOffsetInfo[] getOffsets(int index)

  Specified by:
    `getOffsets` in interface `org.apache.lucene.index.TermPositionVector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD